package com.bn.qa.blade;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.LineNumberReader;
import java.util.ArrayList;


public class GetCommandsListToExecute {

	public static ArrayList commandExtractor(String filename) throws Exception{

		  ArrayList cmdList = new ArrayList();
		
		  String textLine = "";
		
	      LineNumberReader reader=  new LineNumberReader(new FileReader(filename));

	      for(int i=0;i<=reader.getLineNumber();i++) {
	    	  textLine = reader.readLine();
	    	  try {
	    	  if(textLine.contains("command")){
	    		 //System.out.println(textLine);
	             cmdList.add(textLine);
	    	  }
    	      } catch(NullPointerException e) {
    	      }
	      }   
	   
		  return cmdList;
	}
	
	public static String portNameExtractor(String filename) throws Exception{

		  String textLine = "";
		  String textLineOut = "";
		  
	      LineNumberReader reader=  new LineNumberReader(new FileReader(filename));

	      for(int i=0;i<=reader.getLineNumber();i++) {
	    	  textLine = reader.readLine();
	    	  try {
	    	  if(textLine.contains("port")){
	    		 textLineOut=textLine.replace("port:", "").trim();
	             //System.out.println(textLine);
	    	  } 
	    	  } catch(NullPointerException e) {
	    	  }
	      }   
	   
		  return textLineOut;
	}
	
	public static int loopsAmount(String filename) throws Exception{

		  String textLine = "";
		  String textLineOut = "";
		  
	      LineNumberReader reader=  new LineNumberReader(new FileReader(filename));

	      for(int i=0;i<=reader.getLineNumber();i++) {
	    	  textLine = reader.readLine();
	    	  try {
	    	  if(textLine.contains("loops")){
	    		 textLineOut=textLine.replace("loops:", "").trim();
	             //System.out.println(textLine);
	    	  } 
	    	  } catch(NullPointerException e) {
	    	  }
	      }   
	   
		  return Integer.parseInt(textLineOut);
	}
	
}
