package com.bn.qa.blade;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.LineNumberReader;
import java.util.ArrayList;


public class GetSerialPortParams {
	
	public static int baudrateExtractor(String filename) throws Exception{

		  String textLine = "";
		  String textLineOut = "";
		  
	      LineNumberReader reader=  new LineNumberReader(new FileReader(filename));

	      for(int i=0;i<=reader.getLineNumber();i++) {
	    	  textLine = reader.readLine();
	    	  try {
	    	  if(textLine.contains("baudrate")){
	    		 textLineOut=textLine.replace("baudrate:", "").trim();
	             //System.out.println(textLine);
	    	  } 
	    	  } catch(NullPointerException e) {
	    	  }
	      }   
	   
		  return Integer.parseInt(textLineOut);
	}
	
	public static int databitsExtractor(String filename) throws Exception{

		  String textLine = "";
		  String textLineOut = "";
		  
	      LineNumberReader reader=  new LineNumberReader(new FileReader(filename));

	      for(int i=0;i<=reader.getLineNumber();i++) {
	    	  textLine = reader.readLine();
	    	  try {
	    	  if(textLine.contains("databits")){
	    		 textLineOut=textLine.replace("databits:", "").trim();
	             //System.out.println(textLine);
	    	  } 
	    	  } catch(NullPointerException e) {
	    	  }
	      }   
	   
		  return Integer.parseInt(textLineOut);
	}
	
	public static int stopbitsExtractor(String filename) throws Exception{

		  String textLine = "";
		  String textLineOut = "";
		  
	      LineNumberReader reader=  new LineNumberReader(new FileReader(filename));

	      for(int i=0;i<=reader.getLineNumber();i++) {
	    	  textLine = reader.readLine();
	    	  try {
	    	  if(textLine.contains("stopbits")){
	    		 textLineOut=textLine.replace("stopbits:", "").trim();
	             //System.out.println(textLine);
	    	  } 
	    	  } catch(NullPointerException e) {
	    	  }
	      }   
	   
		  return Integer.parseInt(textLineOut);
	}
	
	public static int parityExtractor(String filename) throws Exception{

		  String textLine = "";
		  String textLineOut = "";
		  
	      LineNumberReader reader=  new LineNumberReader(new FileReader(filename));

	      for(int i=0;i<=reader.getLineNumber();i++) {
	    	  textLine = reader.readLine();
	    	  try {
	    	  if(textLine.contains("parity")){
	    		 textLineOut=textLine.replace("parity:", "").trim();
	             //System.out.println(textLine);
	    	  } 
	    	  } catch(NullPointerException e) {
	    	  }
	      }   
	   
		  return Integer.parseInt(textLineOut);
	}
	
}
